package subtractiongame;

public class Game 
{
	Player [] _players;
	int _turnIndex;
	GameUI _ui;
	boolean _isOver;
	Pile _pile;
	
	public Game(String player1Name, String player2Name, int initialsticks)
	{
		_players=new Player[2];
		_pile=new Pile(initialsticks);
		_players[0]=new Player(player1Name,_pile);
		_players[1]=new Player(player2Name,_pile);
		_ui=new GameUI(_pile);
		_isOver=false;
		_turnIndex=0;
	}
	
	public void play()
	{
		while(!_isOver)
		{
			_ui.displayBoard();
			int howMany=_ui.promptTakeSticks(_players[_turnIndex]);
			_players[_turnIndex].takeSticks(howMany);
			if(_pile.getCurrentSticks()==0)
			{
				_isOver=true;
				_ui.displayWinner(_players[_turnIndex]);
			}
			else
				toogleTurns();
		}
	}
	
	private void toogleTurns()
	{
		if(_turnIndex==0)
			_turnIndex=1;
		else
			_turnIndex=0;
	}
	
	public static void main (String [] args)
	{
		if(args.length<3)
		{
			System.out.println("To run subtractiongame.Game <Player1 name> <Player1 name> <initial pile size>");
			System.exit(0);
		}
		
		try
		{
			int initialPileSize=Integer.parseInt(args[2]);
			Game game=new Game(args[0],args[1],initialPileSize);
			game.play();		
			
		}
		catch(NumberFormatException nfe)
		{
			System.out.println("Invalid argument 3");
			System.exit(0);
		}
	}
}
