package subtractiongame;

import java.io.*;

public class GameUI 
{
	Pile _pile;
	public GameUI(Pile pile)
	{
		_pile=pile;
	}
	
	public int promptTakeSticks(Player currentPlayer)
	{
		int howMany=-1;
		int maxSticksAllowed=_pile.getCurrentSticks();
		
		System.out.println("Turn Player "+currentPlayer._name );
		System.out.println("How many sticks do you want to remove - enter a number between 1 and "
					+Math.min(maxSticksAllowed,3)); 
		try{
		    BufferedReader bufferRead = new BufferedReader(new InputStreamReader(System.in));
		    String s = bufferRead.readLine();
		    howMany=Integer.parseInt(s);
		    if(howMany<1 || howMany>3 || howMany>maxSticksAllowed)
		    {
		    	System.out.println("You entered invalid number. Please review the rules of the game and try again." );
				System.exit(0);
		    }
		}
		catch(IOException ioe)
		{
			System.out.println("Unexpected error: "+ioe.getMessage() );
			System.exit(0);
		}
		catch(NumberFormatException nfe)
		{
			System.out.println("You entered invalid number. Please review the rules of the game and try again." );
			System.exit(0);
		}
		return howMany;
	}
	
	public void displayBoard()
	{
		System.out.println();
		System.out.println("**********Subtraction game board*************");
		for(int i=0;i<_pile.getCurrentSticks();i++)
			System.out.print("|");
		System.out.print(System.getProperty("line.separator"));
	}
	
	public void displayWinner(Player winner)
	{
		System.out.println("The winner is "+winner._name);
	}
}
